kumquat-buildroot/package/x11r7/xserver_xorg-server/S40xorg
Bernd Kuhls d83eacaaa8 package/x11r7/xserver_xorg-server: add sysv init script
We need ":0.0 vt01" to make sure Xorg finds the correct terminal.

Quoting https://www.x.org/archive/X11R6.8.0/doc/Xorg.1.html

-allowMouseOpenFail
    Allow the server to start up even if the mouse device can't be
    opened or initialised.

We need this option in case BR2_PACKAGE_XDRIVER_XF86_INPUT_MOUSE was
not enabled.

-noreset
    prevents a server reset when the last client connection is closed.

We need this option to prevent auto-close of Xorg.

Tested with a qemu image and Kodi.

Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de>
[Arnout: copy an abbreviate version of the explanation above to the
         script.]
Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
2018-03-31 15:56:31 +02:00

47 lines
830 B
Bash
Executable File

#!/bin/sh
#
# Starts Xorg
#
BIN=/usr/bin/Xorg
PIDFILE=/var/run/xorg.pid
# ":0.0 vt01" makes sure Xorg finds the correct terminal.
# -allowMouseOpenFail allows the server to start up even if the mouse device
# can't be opened or initialised.
# -noreset prevents a server reset when the last client connection is closed.
XORG_ARGS=":0.0 vt01 -s 0 -noreset -allowMouseOpenFail"
start() {
printf "Starting Xorg: "
start-stop-daemon -S -q -b -m -p $PIDFILE --exec $BIN -- $XORG_ARGS
[ $? = 0 ] && sleep 3 && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping Xorg: "
start-stop-daemon -K -q -p $PIDFILE
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
sleep 2
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac